The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

interchange error

Discussion in 'General Discussion' started by Luftwaffe, Jun 5, 2002.

  1. Luftwaffe

    Luftwaffe Active Member

    Joined:
    Feb 15, 2002
    Messages:
    34
    Likes Received:
    0
    Trophy Points:
    6
    I get this error when I run an interchange for a site.

    Undefined catalog: /~node/cgi-bin/cart.cgi
     
  2. blueboxservers.com

    Joined:
    Jul 5, 2002
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    1
    I think you get this if the cpanel user presses the interchange install button again after the initial install, resetting the cart doesn't seem to work but if you delete everything under catalog for that user, then reset, then get the customer to re-install, should do it.

    Obviously the customer looses everything in the cart :)
     
  3. LinuxFreaky

    LinuxFreaky Well-Known Member

    Joined:
    Sep 22, 2001
    Messages:
    87
    Likes Received:
    0
    Trophy Points:
    6
    I keep getting that for one of my customers also. The undefined catalog. Is there another cause/reason for such flakyness? Also, when it occurs and I restore it, how can I get back all of the user setting such as templates, items, etc?
     
  4. avara

    avara Well-Known Member

    Joined:
    Oct 28, 2001
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    6
    Also got this. Upgrading to 4.9-23 resolved it though.
     
  5. jsteel

    jsteel Well-Known Member

    Joined:
    Jul 4, 2002
    Messages:
    646
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Atlanta, GA
    It still exists in 5.2. It happens multiple times throughout the day for me. A restart of IC (even though Service Status shows it is running) seems to fix it for awhile.

    This issue really needs to be resolved.

    Jaz
     
  6. itf

    itf Well-Known Member

    Joined:
    May 9, 2002
    Messages:
    624
    Likes Received:
    0
    Trophy Points:
    16
    [quote:c0600684ac][i:c0600684ac]Originally posted by Luftwaffe[/i:c0600684ac]

    I get this error when I run an interchange for a site.

    Undefined catalog: /~node/cgi-bin/cart.cgi
    [/quote:c0600684ac]
    Remove catalogs directory from /home/username/ also remove anything relevant to interchange under /home/username/public_html/

    Then in a root SSH session run:

    /scripts/rebuildinterchangecfg

    and reinstall interchange for that user from Cpanel.
     
  7. jsteel

    jsteel Well-Known Member

    Joined:
    Jul 4, 2002
    Messages:
    646
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Atlanta, GA
    [quote:334ea0bf4c][i:334ea0bf4c]Originally posted by itf[/i:334ea0bf4c]

    [quote:334ea0bf4c][i:334ea0bf4c]Originally posted by Luftwaffe[/i:334ea0bf4c]

    I get this error when I run an interchange for a site.

    Undefined catalog: /~node/cgi-bin/cart.cgi
    [/quote:334ea0bf4c]
    Remove catalogs directory from /home/username/ also remove anything relevant to interchange under /home/username/public_html/

    Then in a root SSH session run:

    /scripts/rebuildinterchangecfg

    and reinstall interchange for that user from Cpanel.[/quote:334ea0bf4c]

    So you are saying to blow everything away and start from scratch for that user? I find this very hard to believe given that a restart of IC seems to fix things (at least for awhile). Looks more like a configuration problem at the system IC level (not user level) than anything else.

    Jaz
     
  8. itf

    itf Well-Known Member

    Joined:
    May 9, 2002
    Messages:
    624
    Likes Received:
    0
    Trophy Points:
    16
    [quote:a42802c932][i:a42802c932]Originally posted by jsteel[/i:a42802c932]

    [quote:a42802c932][i:a42802c932]Originally posted by itf[/i:a42802c932]

    [quote:a42802c932][i:a42802c932]Originally posted by Luftwaffe[/i:a42802c932]

    I get this error when I run an interchange for a site.

    Undefined catalog: /~node/cgi-bin/cart.cgi
    [/quote:a42802c932]
    Remove catalogs directory from /home/username/ also remove anything relevant to interchange under /home/username/public_html/

    Then in a root SSH session run:

    /scripts/rebuildinterchangecfg

    and reinstall interchange for that user from Cpanel.[/quote:a42802c932]

    So you are saying to blow everything away and start from scratch for that user? I find this very hard to believe given that a restart of IC seems to fix things (at least for awhile). Looks more like a configuration problem at the system IC level (not user level) than anything else.

    Jaz[/quote:a42802c932]
    What I wrote is a cure for new users who double install interchange this way i.e they install interchange then remove just catalogs directory and reinstall interchange this way interchange for that user would not work and the cure is what I wrote.

    FYI. I receive so many PM s in this forum about this problem which at least 90% of them are as above.

    It doesn't mean that for every interchange problem you have to start from the very beginning

    I wrote about interchange issues in other threads in this forum that you can search and refer to those threads
     
  9. jsteel

    jsteel Well-Known Member

    Joined:
    Jul 4, 2002
    Messages:
    646
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Atlanta, GA
    [quote:e6139be9d0][i:e6139be9d0]Originally posted by itf[/i:e6139be9d0]

    What I wrote is a cure for new users who double install interchange this way i.e they install interchange then remove just catalogs directory and reinstall interchange this way interchange for that users would not work and the cure is what I wrote.

    FYI. I receive so many PM s in this forum about this problem which at least 90% of them are as above.

    It doesn't mean that for every interchange problem you have to start from the very beginning

    I wrote about interchange issues in other threads in this forum that you can search and refer to those threads[/quote:e6139be9d0]

    I'm following you, unfortunately, it is the same error - the dreaded 'Undefined catalog' issue. I'm seeing this issue more and more, but the simple fact that an IC restart 'fixes' it (albeit not permanently), leads me to believe there is a bigger issue in the actual CPanel/IC installation. It happens too often and to far too many people.

    I think it may be time to scrap the IC and find another cart application that is more robust than Agora (Agora soon won't work anyway with CPanel as they are changing the underlying directory structures, of which Nick has commented on it being incompatible and most likely won't be supported in the future).

    Jaz
     
  10. itf

    itf Well-Known Member

    Joined:
    May 9, 2002
    Messages:
    624
    Likes Received:
    0
    Trophy Points:
    16
    [quote:4c23fdeb48][i:4c23fdeb48]Originally posted by jsteel[/i:4c23fdeb48]

    I'm following you, unfortunately, it is the same error - the dreaded 'Undefined catalog' issue. I'm seeing this issue more and more, but the simple fact that an IC restart 'fixes' it (albeit not permanently), leads me to believe there is a bigger issue in the actual CPanel/IC installation. It happens too often and to far too many people.

    I think it may be time to scrap the IC and find another cart application that is more robust than Agora (Agora soon won't work anyway with CPanel as they are changing the underlying directory structures, of which Nick has commented on it being incompatible and most likely won't be supported in the future).

    Jaz[/quote:4c23fdeb48]
    Jaz,
    Like most other applications current version 4.8.6 of Interchange (installed with cpanel-as current as the date of this post) has some known bugs that will be solved in the next release.
    However Redhat no longer supports Interchange directly, thus we cannot call it Redhat's Interchange but still Interchange is one of the bests.
     
  11. ozzi4648

    ozzi4648 Guest

    I actually downloaded the new version of Interchange 4.9.3 and install it over the top of the files in /usr/local/cpanel/3rdparty/interchange. The installation went well. I had to fix something in the config file that was preventing interchange from restarting after that she came back up. I setup a test site and installed the cart just like a new site owner would do. Great, it rolls out perfectly and everthing works with one exception. When i log in as admin or superuser to setup my cart i get kicked out of my session back to the admin login screen. Not sure why but its either a session problem or something that needs configuring. Anyone know what to look for? Why did i upgrade? Well because the 4.8 version has a major bug that prevents me from setting up my settings using the wizard. The bug appears in the UPS setup and will not allow me to continue therefore the cart is useless to me.
     
  12. itf

    itf Well-Known Member

    Joined:
    May 9, 2002
    Messages:
    624
    Likes Received:
    0
    Trophy Points:
    16
    [quote:1fbb07ccbf][i:1fbb07ccbf]Originally posted by ozzi4648[/i:1fbb07ccbf]

    I actually downloaded the new version of Interchange 4.9.3 and install it over the top of the files in /usr/local/cpanel/3rdparty/interchange. The installation went well. I had to fix something in the config file that was preventing interchange from restarting after that she came back up. I setup a test site and installed the cart just like a new site owner would do. Great, it rolls out perfectly and everthing works with one exception. When i log in as admin or superuser to setup my cart i get kicked out of my session back to the admin login screen. Not sure why but its either a session problem or something that needs configuring. Anyone know what to look for? Why did i upgrade? Well because the 4.8 version has a major bug that prevents me from setting up my settings using the wizard. The bug appears in the UPS setup and will not allow me to continue therefore the cart is useless to me.[/quote:1fbb07ccbf]
    Interchange 4.9.3 is a development version not a production release and it is not recommended to install it on Cpanel
     
  13. Luftwaffe

    Luftwaffe Active Member

    Joined:
    Feb 15, 2002
    Messages:
    34
    Likes Received:
    0
    Trophy Points:
    6
    Why don't the CPANEL developers fix this error so it never happens? Just an thought.
     
Loading...

Share This Page